> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tai42.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# External interaction callback door



## OpenAPI

````yaml /openapi.json post /api/interactions/callback/{ticket}
openapi: 3.1.0
info:
  description: The operator HTTP surface served under /api/*.
  title: tai42-skeleton API
  version: 0.1.1
servers: []
security: []
paths:
  /api/interactions/callback/{ticket}:
    post:
      tags:
        - interactions
      summary: External interaction callback door
      operationId: post_api_interactions_callback_ticket
      parameters:
        - in: path
          name: ticket
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                required:
                  - data
                type: object
          description: Success.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Malformed request.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Missing or invalid api key.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Resource not found.
        '413':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Request body too large.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error.
components:
  schemas:
    Error:
      properties:
        error:
          type: string
      required:
        - error
      type: object

````